-------------------------------
-- SSTRP
-- Author: MNWRP
--
-- shared.lua
-- Some shared functions
-------------------------------

-- Set up the gamemode
DeriveGamemode( "sandbox" );
GM.Name = "HL2";
GM.Author = ""

local DoorTypes =
{

	"func_door",
	"func_door_rotating",
	"prop_door_rotating"

}

function IsDoor( door )

	local class = door:GetClass();
	
	for k, v in pairs( DoorTypes ) do
	
		if( v == class ) then return true; end
	
	end
	
	return false;

end

function GM:PlayerFootstep( ply, pos, foot, sound, volume, rf ) 
     if( SERVER ) then
       if(ply:Team() > 1) then
					if(ply:KeyDown(IN_SPEED)) then
					ply:EmitSound("npc/combine_soldier/gear" .. math.Round(math.random(0.6,6.4)) .. ".wav", 100, 100)
					end
				end
     end
 end 
